[Frugalware-darcs] crazy: hal-0.5.8.1-1-i686

crazy crazy at frugalware.org
Wed Sep 20 23:01:26 CEST 2006


Darcsweb-Url: http://darcs.frugalware.org/darcsweb/darcsweb.cgi?r=crazy;a=darcs_commitdiff;h=20060920205712-f6986-8bfcc1a6a59a162490fdafaf095a5ba3469253b2.gz;

[hal-0.5.8.1-1-i686
crazy <crazy at frugalware.org>**20060920205712
 * Version bump
 * just some compile hacks for now , everything else need be figured once 
    I get a working kde and gnome with this new dbus*'s :)
] {
adddir ./dbus-mess/hal/messages
addfile ./dbus-mess/hal/FrugalBuild
hunk ./dbus-mess/hal/FrugalBuild 1
+# Last modified: Wed, 20 Sep 2006 22:49:39 +0200
+# Compiling time: 0.44 SBU
+# Maintainer: Christian Hamar alias krix <krics at linuxforum.hu>
+# Contributor: Laszlo Dvornik <dvornik at gnome.hu>
+
+pkgname=hal
+pkgver=0.5.8.1
+pkgrel=1
+pkgdesc="Hardware Abstraction Layer"
+url="http://freedesktop.org/wiki/Software_2fhal"
+depends=('dbus-glib>=0.71' 'udev>=100' 'glib2' 'libcap' 'python' \
+	'libusb' 'popt' 'pciutils>=2.2.4-2' 'shadow>=4.0.18.1-2' \
+	'util-linux' 'expat' 'parted>=1.7.1')
+makedepends=('pkgconfig' 'perl-xml' 'doxygen')
+rodepends=('kernel>=2.6.17')
+groups=('apps')
+replaces=('submount')
+archs=('i686')
+up2date="lynx -dump 'http://people.freedesktop.org/~david/dist/?C=M;O=A'|grep 'hal-\(.*\).tar.gz$'|sort -n -r|head -n 1|sed 's/.*-\(.*\).t.*/\1/'"
+source=(http://freedesktop.org/~david/dist/$pkgname-$pkgver.tar.gz rc.hald hal.conf.in.patch)
+sha1sums=('35675b6701b9e953edfabf0d91b68ccee5a5a491' \
+          'b2feba21a927fafc4f27f4f630a79f9b3e0944fa' \
+          'b7ae74848adb284c9f93cfdadee8d6c5d67400a6')
+build()
+{
+	## lol autoreconf is broken so .. do weird stuff
+	export PKG_CONFIG="/usr/bin/pkg-config"
+	## more weird stuff need to fix this BTW
+	Fsed '-lpci' '-lpci -lz' hald/linux/addons/Makefile.{am,in}
+	Fsed 'LIBS="-lpci  $LIBS"' 'LIBS="-lpci -lz $LIBS"' configure
+	Fbuild --enable-pcmcia-support \
+		--with-pid-file=/var/run/hald.pid \
+	        --with-hal-user=hald \
+		--with-hal-group=hald \
+		--enable-sysfs-carrier \
+		--disable-acpi-proc \
+		--enable-parted \
+		--with-hwdata=/usr/share/misc \
+		--disable-policy-kit \
+		--disable-gtk-doc \
+		--with-backend=linux
+	## this kit isn't released yet I'll add the git one in my tree later ##
+        Frm /etc/hotplug.d
+        Fmkdir /media
+	Frcd hald
+}
+
+# optimization OK
addfile ./dbus-mess/hal/hal.conf.in.patch
hunk ./dbus-mess/hal/hal.conf.in.patch 1
+diff -Naur hal-0.5.8.1/hal.conf.in hal-0.5.8.1-p/hal.conf.in
+--- hal-0.5.8.1/hal.conf.in	2006-09-19 22:23:25.000000000 +0200
++++ hal-0.5.8.1-p/hal.conf.in	2006-09-20 20:35:18.000000000 +0200
+@@ -47,7 +47,7 @@
+   </policy>
+ 
+   <!-- This will not work if pam_console support is not enabled -->
+-  <policy at_console="true">
++  <policy at_console="false">
+     <allow send_interface="org.freedesktop.Hal.Device.SystemPowerManagement"/>
+     <allow send_interface="org.freedesktop.Hal.Device.LaptopPanel"/>
+     <allow send_interface="org.freedesktop.Hal.Device.Volume"/>
+@@ -57,6 +57,8 @@
+   <!-- You can change this to a more suitable user, or make per-group -->
+   <policy user="0">
+     <allow send_interface="org.freedesktop.Hal.Device.SystemPowerManagement"/>
++  </policy>
++<policy group="storage">
+     <allow send_interface="org.freedesktop.Hal.Device.VideoAdapterPM"/>
+     <allow send_interface="org.freedesktop.Hal.Device.LaptopPanel"/>
+     <allow send_interface="org.freedesktop.Hal.Device.Volume"/>
addfile ./dbus-mess/hal/hal.install
hunk ./dbus-mess/hal/hal.install 1
+post_install()
+{
+
+        if ! grep -q '^hald:' /etc/group; then
+                groupadd -g 39 hald
+        fi
+
+        if ! grep -q '^hald:' /etc/passwd; then
+                useradd -c 'HAL Daemon' -u 39 -g hald -G cdrom,floppy,camera,storage -d '/' -s /bin/false hald
+                ## kill password
+                passwd -l hald 2>/dev/null >/dev/null
+        fi
+
+	if [ -x /usr/sbin/chkconfig ]; then
+		/usr/sbin/chkconfig --add rc.hald
+	fi
+}
+
+post_upgrade()
+{
+	post_install
+}
+
+pre_remove()
+{
+	if [ -x /usr/sbin/chkconfig ]; then
+		/usr/sbin/chkconfig --del rc.hald
+	fi
+	# remove hald user
+	if  grep -q '^hald:' /etc/passwd; then
+	 	/usr/sbin/userdel hald
+	  	rm -rf /var/mail/hald
+	fi
+}
+
+op=$1
+shift
+
+$op $*
addfile ./dbus-mess/hal/messages/hald.de
hunk ./dbus-mess/hal/messages/hald.de 1
+stophald="Stoppe HAL Daemon"
+starthald="Starte HAL Daemon"
addfile ./dbus-mess/hal/messages/hald.en
hunk ./dbus-mess/hal/messages/hald.en 1
+stophald="Stopping HAL daemon"
+starthald="Starting HAL daemon"
addfile ./dbus-mess/hal/messages/hald.hu
hunk ./dbus-mess/hal/messages/hald.hu 1
+stophald="A HAL démon leállítása"
+starthald="A HAL démon indítása"
addfile ./dbus-mess/hal/rc.hald
hunk ./dbus-mess/hal/rc.hald 1
+#!/bin/sh
+
+# (c) 2004-2005 Laszlo Dvornik <dvornik at gnome.hu>
+# rc.hald for Frugalware
+# distributed under GPL License
+
+. /etc/rc.d/rc.functions
+
+# chkconfig: 2345 98 02
+# description: This is a daemon for collecting and maintaing information
+#              about hardware from several sources.
+
+PID=`pidof -o %PPID /usr/sbin/hald`
+
+
+if [ "$1" = "stop" ]; then
+	stop "$stophald"
+	[ ! -z "$PID" ] && kill $PID &> /dev/null
+	ok $?
+elif [ "$1" = "restart" ]; then
+	"$0" stop
+	sleep 1
+	"$0" start
+else # start
+	start "$starthald"
+	## need be here without this use hal does not work
+	if ! grep -q '^hald:' /etc/group; then
+        	echo -n "Adding hald group..."
+        	groupadd -g 39 hald
+        	echo -e "done."
+	fi
+
+	if ! grep -q '^hald:' /etc/passwd; then
+        	echo -n "Adding hald user..."
+        	useradd -c 'HAL Daemon' -u 39 -g hald -G cdrom,floppy,camera,storage -d '/' -s /bin/false hald
+        	## kill password
+        	passwd -l hald
+        	echo -e "done."
+	fi
+
+	if [ -z "$PID" ]; then
+	 	/usr/sbin/hald --daemon=yes
+	fi
+	ok $?
+fi
addfile ./dbus-mess/hal/rc.hald.new
hunk ./dbus-mess/hal/rc.hald.new 1
+#!/bin/bash
+
+# (c) 2005      Marcus Habermehl <bmh1980de at yahoo.de>
+# (c) 2004-2005 Laszlo Dvornik <dvornik at gnome.hu>
+# rc.hald for Frugalware
+# distributed under GPL License
+
+# chkconfig: 2345 98 02
+# description: This is a daemon for collecting and maintaing information
+#              about hardware from several sources.
+
+source /lib/initscripts/functions
+TEXTDOMAIN=hald
+
+actions=(restart start status stop)
+daemon=$"HAL daemon"
+
+pid="$(pidof hald 2> /dev/null)"
+
+rc_start()
+{
+	start_msg
+	if [ -z ${pid} ] ; then
+		/usr/sbin/hald --retain-privileges
+		ok $?
+	else
+		ok 999
+	fi
+}
+
+rc_stop()
+{
+	stop_msg
+	if [ ! -z ${pid} ] ; then
+		killall hald 2> /dev/null
+		ok $?
+	else
+		ok 999
+	fi
+}
+
+rc_exec $1
+
+# vim: ft=sh
}


More information about the Frugalware-darcs mailing list